#!/bin/sh -
#
# make bouncy jar file 
# reduced version of build1-3


echo "making lightweight release"

mkdir classes; mkdir docs;

echo "compiling"

(cd src/org/bouncycastle; javac -d ../../../classes -classpath ../../../classes:../../../src *.java */*.java */*/*.java )


        javadoc -windowtitle "$WINDOWTITLE" -doctitle "$DOCTITLE" \
            -header "$HEADER" -group "Core Packages" "org.bouncycastle*" \
            -group "Example Packages" "example*" -classpath classes \
            -d docs -sourcepath src \
            org.bouncycastle.asn1 \
            org.bouncycastle.asn1.pkcs \
            org.bouncycastle.asn1.x509 \
            org.bouncycastle.asn1.x9 \
            org.bouncycastle.asn1.util \
            org.bouncycastle.asn1.misc \
            org.bouncycastle.asn1.test \
            org.bouncycastle.math.ec \
            org.bouncycastle.crypto \
            org.bouncycastle.crypto.agreement \
            org.bouncycastle.crypto.digests \
            org.bouncycastle.crypto.encodings \
            org.bouncycastle.crypto.engines \
            org.bouncycastle.crypto.generators \
            org.bouncycastle.crypto.io \
            org.bouncycastle.crypto.macs \
            org.bouncycastle.crypto.modes \
            org.bouncycastle.crypto.paddings \
            org.bouncycastle.crypto.params \
            org.bouncycastle.crypto.signers \
            org.bouncycastle.crypto.test \
            org.bouncycastle.crypto.examples \
            org.bouncycastle.util.encoders \
            org.bouncycastle.util.test > /dev/null \
echo "make jar....."
cd classes
jar cvf bouncyModified.jar *
mv bouncyModified.jar ..
cd ..

echo "copy bouncyModified.jar to ../scep/lib/ now"
